Package logilab :: Package common :: Module clcommands :: Class ListCommandsCommand

[frames] | no frames]

# Class ListCommandsCommand

source code

                            object --+
                                     |
     configuration.OptionsManagerMixIn --+
                                         |
                            object --+   |
                                     |   |
    configuration.OptionsProviderMixIn --+
                                         |
          configuration.ConfigurationMixIn --+
                                             |
                   configuration.Configuration --+
                                                 |
                                           Command --+
                                                     |
                                                    ListCommandsCommand

    list available commands, useful for bash completion.

Instance Methods

run(self, args) run the command with its specific arguments | source code

Inherited from `Command`: `__init__`, `check_args`, `main_run`

Inherited from `configuration.ConfigurationMixIn`: `__getitem__`, `__iter__`, `__setitem__`, `get`, `load_defaults`, `register_options`

Inherited from `configuration.OptionsManagerMixIn`: `add_help_section`, `add_optik_option`, `add_option_group`, `cb_set_provider_option`, `generate_config`, `generate_manpage`, `global_set_option`, `help`, `input_config`, `load_command_line_configuration`, `load_config_file`, `load_configuration`, `load_file_configuration`, `load_provider_defaults`, `optik_option`, `read_config_file`, `register_options_provider`, `reset_parsers`

Inherited from `configuration.OptionsProviderMixIn`: `all_options`, `get_option_def`, `input_option`, `option_attrname`, `option_default`, `option_value`, `options_and_values`, `options_by_section`, `set_option`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Methods
Inherited from `Command`: `description`, `short_description`

Class Variables
| name = `'listcommands'`
| arguments = `'[command]'`
| hidden = `True`
Inherited from `Command`: `max_args`, `min_args` Inherited from `configuration.OptionsProviderMixIn`: `level`, `option_name`, `options`, `priority`

Properties
Inherited from `object`: `__class__`

Method Details

### run(self, args)

source code

    run the command with its specific arguments

Overrides: Command.run